Bug 122943 - sysutils/pfstat does not respect CC
Summary: sysutils/pfstat does not respect CC
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: mlaier
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-20 19:30 UTC by Frank
Modified: 2008-04-28 19:00 UTC (History)
0 users

See Also:


Attachments
ports-sysutils-pfstat-CC.diff (311 bytes, patch)
2008-04-20 20:09 UTC, Frank
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frank 2008-04-20 19:30:05 UTC
sysutils/pfstat uses "cc" to build in any case, regardless of what CC is set to.

Fix: 

Apply the attached patch.
Comment 1 Edwin Groothuis freebsd_committer 2008-04-20 19:30:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mlaier

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Frank 2008-04-20 20:09:11 UTC
Forgot the patch..
Comment 3 Max Laier 2008-04-20 20:39:35 UTC
This a more complicated problem, really.  If you set CC in make.conf it 
will work, but not from the shell.  OTOH, if you set CFLAGS in make.conf 
it will trash the addition of ALTQ to CFLAGS.  The suggested workaround 
is to set __MAKE_CONF=/dev/null in the MAKE_ENV and add CFLAGS there, 
too.  This would then again break setting CC (unless it was also part of 
MAKE_ENV ...).  This works well for CC and CFLAGS, but I can't really add 
everything to MAKE_ENV that people might want to set in make.conf ... I'm 
still undecided what the best solution is and am looking for input.

Unless you have a bright idea, I'm going to add the following work-around:

  MAKE_ENV+=	CC="${CC}" CFLAGS="${CFLAGS}" __MAKE_CONF=/dev/null

after adding version dependend stuff to CFLAGS, of course.

Any feedback appreciated.

--
  Max
Comment 4 dfilter service freebsd_committer 2008-04-27 19:32:08 UTC
mlaier      2008-04-27 18:32:02 UTC

  FreeBSD ports repository (src committer)

  Modified files:
    sysutils/pftop       Makefile 
  Log:
  Manually export CC and CFLAGS to MAKE_ENV and have __MAKE_CONF point to
  /dev/null.  The latter is a problem because the port's Makefile uses the
  bsd.*.mk infrastructure.  This works around several problems people were
  having when setting CFLAGS[1] in make.conf or CC[2] on the command line.
  
  PR:             ports/122943
  Reported-by:    many[1], Frank Fenor[2]
  
  Revision  Changes    Path
  1.11      +2 -0      ports/sysutils/pftop/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 mlaier freebsd_committer 2008-04-27 19:43:23 UTC
State Changed
From-To: open->closed

Fix committed, thanks.
Comment 6 Frank 2008-04-27 22:04:51 UTC
This was committed into sysutils/pftop
It might be, that sysutils/pftop had the same problem (didn't check that), 
but I had the problem with sysutils/pfstat.
Comment 7 dfilter service freebsd_committer 2008-04-28 18:52:14 UTC
mlaier      2008-04-28 17:52:10 UTC

  FreeBSD ports repository (src committer)

  Modified files:
    sysutils/pfstat      Makefile 
  Log:
  Manually export CC and CFLAGS to MAKE_ENV and have __MAKE_CONF point to
  /dev/null.  The latter is a problem because the port's Makefile uses the
  bsd.*.mk infrastructure.  This works around several problems people were
  having when setting CFLAGS[1] in make.conf or CC[2] on the command line.
  
  PR:             ports/122943 (really this time)
  Reported-by:    many[1], Frank Fenor[2]
  
  Revision  Changes    Path
  1.13      +1 -0      ports/sysutils/pfstat/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"